ChangeSet 1.1325.4.20, 2003/09/25 11:00:24-07:00, greg@kroah.com

[PATCH] USB: i was wrong, clean up some extra refcounts that are no longer needed.


 drivers/usb/core/usb.c |    6 ------
 1 files changed, 6 deletions(-)


diff -Nru a/drivers/usb/core/usb.c b/drivers/usb/core/usb.c
--- a/drivers/usb/core/usb.c	Thu Sep 25 14:30:48 2003
+++ b/drivers/usb/core/usb.c	Thu Sep 25 14:30:48 2003
@@ -922,10 +922,6 @@
 	}
 	up(&dev->serialize);
 	device_unregister(&dev->dev);
-
-	/* Decrement the reference count, it'll auto free everything when */
-	/* it hits 0 which could very well be now */
-	usb_put_dev(dev);
 }
 
 /**
@@ -1009,7 +1005,6 @@
 	dev->dev.driver = &usb_generic_driver;
 	dev->dev.bus = &usb_bus_type;
 	dev->dev.driver_data = &usb_generic_driver_data;
-	usb_get_dev(dev);
 	if (dev->dev.bus_id[0] == 0)
 		sprintf (&dev->dev.bus_id[0], "%d-%s",
 			 dev->bus->busnum, dev->devpath);
@@ -1135,7 +1130,6 @@
 	dev->state = USB_STATE_DEFAULT;
 	clear_bit(dev->devnum, dev->bus->devmap.devicemap);
 	dev->devnum = -1;
-	usb_put_dev(dev);
 	return err;
 }
 
